#ifndef AP_JAQSEQ_H 
#define AP_JAQSEQ_H 


/*-------------------------------------------------------------
C -Resolution du systeme A.X=B (de dimension NxN ) par 
C  la methode iterative de Jacobi par blocs. 
C -Soit A une matrice carree d'ordre N 
C      tridiagonale par blocs composee
C      de Nblocs blocs diagonaux de taille M (N = Nblocs*M)
C
C -EPS: definit la precision sur la solution recherchee.
C
C -Algorithme utilise: Version sequentielle  de Jacobi par bloc 
C -------------------------------------------------------------*/
/*----------
C Parametres: 
C ----------
C    Input  : A, B, N, M, Nblocs, EPS
C    Output : X, Niter
C
C    NB : ces parametres sont controles par l'utilisateur;
C    il est donc responsable de leur allocation et leur liberation.
C ----------------------------------------------------------------*/
int jacseq (double *A, double *X, double *B, int N, int M, int Nblocs, double EPS, int Maxiter, int *Niter);



#endif
